import { VueConstructor } from 'vue'

import { MyButton, MyButtonGroup } from './components'

const components = [
  MyButton,
  MyButtonGroup
]

const install = function (Vue: VueConstructor, opts = {}) {
  components.forEach(component => {
    Vue.component(component.name, component)
  })
}

if (typeof window !== 'undefined' && window.Vue) {
  install(window.Vue)
}

export default {
  install,
  MyButton,
  MyButtonGroup
}
